Subject: bug#70678: guix pull failed on commit 43a4215cad8c6da357f895569c0cedf5e854cee0

From: francismb <[email-masked]>
Date: Sat, 11 May 2024 14:25:21 +0200

Hi Simon,
It's OK for me to close it. The trigger for the issue was:

ERROR:
   1. &nar-error:
       file: #f
       port: #<input-output: file 10>
guix pull: error: You found a bug: the program
'/gnu/store/1db74z3j7p8djpvwjk5zxd0cmdcy7109-compute-guix-derivation'
failed to compute the derivation for Guix (version:
"570ccaaedcb1e03d29c6cb420b2104627e57df63"; system: "x86_64-linux";
host version: "43a4215cad8c6da357f895569c0cedf5e854cee0"; pull-version: 1).
Please report the COMPLETE output above by email to <[email-masked]>

Exactly:
 >> [...] You found an bug [...]
 >> [...] Please report the COMPLETE output above [...]

Thanks for your time
francis

On 07.05.24 22:17, Simon Tournier wrote:
> Hi,
>
> Hum, initially I was inclined to close this bug as a transient error
> from network.  However,
>
>      > ERROR:
>      >    1. &http-get-error:
>      >        uri: #<<uri> scheme: https userinfo: #f host: "ci.guix.gnu.org"
>      > port: #f path: "/nar/lzip/mzfkrxd4w8vqrmyrx169wj8wyw7r8i37-bash" query:
>      > #f fragment: #f>
>      >        code: 504
>      >        reason: "Gateway Time-out"
>      >    2. &message:
>      > "https://ci.guix.gnu.org/nar/lzip/mzfkrxd4w8vqrmyrx169wj8wyw7r8i37-bash:
>      > HTTP download failed: 504 (\"Gateway Time-out\")"
>      > substitution of /gnu/store/mzfkrxd4w8vqrmyrx169wj8wyw7r8i37-bash failed
>      > Backtrace:
>
> should not raise this ugly backtrace.  Well, I do not know if it is a
> bug or a wishlist. ;-)  It could be nice to handle that.
>
> Cheers,
> simon
>
> PS: Since the tracker has already some concrete bug, I am also fine to
>      close this wishlist. :-)
>